{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Compile design",
            "type": "shell",
            "command": "./sims/compile_design.sh ${file}",
            "problemMatcher": [
                "$gcc"
            ]
        },
        {
            "label": "Compile & simulate design",
            "type": "shell",
            "command": "./sims/compile_design.sh ${file} && cd sims && ./gtkwave \"${fileBasename}.vcd\" && cd -",
            "problemMatcher": []
        },
        {
            "label": "Simulate design",
            "type": "shell",
            "command": "cd sims && ./gtkwave \"${fileBasename}.vcd\" && cd -",
            "problemMatcher": []
        },
        {
            "label": "Simulate design with TCL",
            "type": "shell",
            "command": "cd sims && ./gtkwave \"${fileBasename}.vcd\" -T \"${fileBasename}.tcl\" && cd -",
            "problemMatcher": []
        }

    ]
}